require 'puppet/provider/chassis_settings/default'

Puppet::Type.type(:chassis_settings).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Chassis_settings::ProviderDefault
) do

  def get_password(password_str)
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(password_str)
  end

  def get_community_string(comm_str)
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(comm_str)
  end

end
