require 'puppet/provider/format_storage/default'

Puppet::Type.type(:format_storage).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Format_storage::ProviderDefault
) do

  def get_password
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(resource[:password])
  end
end
