require 'puppet/provider/host_network_adapter/default'

Puppet::Type.type(:host_network_adapter).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Host_network_adapter::ProviderDefault
) do

  def get_password
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(resource[:password])
  end
end
