require 'puppet/provider/iscsi_target_portal/default'

Puppet::Type.type(:iscsi_target_portal).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Iscsi_target_portal::ProviderDefault
) do

  def get_password
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(resource[:password])
  end
end
