require 'puppet/provider/scvm_host/default'

Puppet::Type.type(:scvm_host).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Scvm_host::ProviderDefault
) do

  def get_password
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(resource[:password])
  end
end
