# == Define: asm::force10_fcoe

define asm::force10_fcoe (
  $dcb_map_name                   = 'SAN_DCB_MAP',
  $fcoe_map_name                  = 'default_full_fabric',
  $fcoe_map                       = undef,
  $fcoe_interface                 = undef,
  $fabric_type                    = undef
) {
  if defined($fabric_type) {
    force10_fcoemap {$fcoe_map_name:
      fcoe_map    => $fcoe_map,
      fcoe_vlan   => $name,
      fabric_type => $fabric_type
    }
  } else {
    force10_fcoemap {$fcoe_map_name:
      fcoe_map    => $fcoe_map,
      fcoe_vlan   => $name,
    }
  }
  force10_interface {$fcoe_interface:
    dcb_map     => $dcb_map_name,
    fcoe_map    => $fcoe_map_name,
    portmode    => 'hybrid',
    shutdown    => false,
    mtu         => 9000,
    switchport  => true
  }
}