# Define: ASM Torquebox
define asm::razor_cluster(
  $members
) {

  Exec['open_ports'] -> File['standalone-ha.xml'] ~> File['clear_data'] ~> Service['razor']

  file { 'standalone-ha.xml' :
    path    => "$jboss_home/standalone/configuration/standalone-ha.xml",
    content => template("asm/standalone-ha.xml.erb"),
    owner   => 'razor',
    group   => 'razor',
    mode    => '0644',
  }

  file { 'clear_data' :
    path   => "$jboss_home}/standalone/data",
    backup => false,
    force  => true,
    ensure => absent
  }

  service { 'razor' :
    ensure => 'running',
    enable => true
  }

  exec { 'open_ports' :
    command => '/usr/sbin/lokkit -q -p 7600:tcp --update && /usr/sbin/lokkit -q -p 5445:tcp --update'
  }


}