# scvmm::cluster_storage Creates a cluster storage via Powershell.
define asm::scvm::cluster_storage(
  $path,
  $username,
  $password,
  $host,
  $domain = '',
  $host_cluster = $name
  #$transport is implied.
) {

  exec { "scvm_cluster_storage ${name}":
    command     => template('asm/scvm_cluster_storage.erb'),
    refreshonly => true,
    provider    => 'winrm',
    transport   => $transport # Magic passthrough
  }
}
