define asm::volume::compellent (
  $size = '100GB',
  $boot = 'false',
  $volumefolder = '',
  $purge = 'yes',
  $volume_notes = '',
  $server_notes = '',
  $replayprofile = 'Sample',
  $storageprofile = '',
  $servername = '',
  $operatingsystem = 'VMWare ESX 5.1',
  $serverfolder = '',
  $wwn = [],
  $porttype = 'FibreChannel',
  $manual = false,
  $force = true,
  $readonly = false,
  $singlepath = false,
  $lun = '',
  $localport = '',
  $ensure = 'present'
) {
  if $ensure == 'present' {
    compellent::createvol{$name:
      size            => $size,
      boot            => $boot,
      volumefolder    => $volumefolder,
      purge           => $purge,
      volume_notes    => $volume_notes,
      server_notes    => $server_notes,
      replayprofile   => $replayprofile,
      storageprofile  => $storageprofile,
      servername      => $servername,
      operatingsystem => $operatingsystem,
      serverfolder    => $serverfolder,
      wwn             => $wwn,
      porttype        => $porttype,
      manual          => $manual,
      force           => $force,
      readonly        => $readonly,
      singlepath      => $singlepath,
      lun             => $lun,
      localport       => $localport
    }
  } else {
      compellent::removevol{$name:
      volumefolder    => $volumefolder,
      purge           => $purge,
      volume_notes    => $volume_notes,
      server_notes    => $server_notes,
      replayprofile   => $replayprofile,
      storageprofile  => $storageprofile,
      servername      => $servername,
      operatingsystem => $operatingsystem,
      serverfolder    => $serverfolder,
      porttype        => $porttype,
      manual          => $manual,
      force           => $force,
      readonly        => $readonly,
      singlepath      => $singlepath,
      lun             => $lun,
      localport       => $localport
    }
  }
}
