asm::vm { 'gsvmlin6':
  ensure               => 'present',
  cpu_count            => 2,
  memory_in_mb         => 2048,
  vnic_count           => 4,
  cluster              => 'gscluster1',
  hostname             => 'gsvmlin6',
  os_type              => 'linux',
  os_guest_id          => 'rhel6_64Guest',
  scsi_controller_type => 'VMware Paravirtual',
  disksize_in_gb       => 16,
  datacenter           => 'gsdc1',
  datastore            => 'gsdatastore1',
  vcenter_username     => 'aidev\administrator',
  vcenter_password     => 'CHANGEME',
  vcenter_server       => '172.28.15.6',
  vcenter_options      => { 'insecure' => true },
}
