# Cluster is required for host now
asm::cluster { 'gscluster1':
  ensure           => 'present',
  cluster          => 'gscluster1',
  datacenter       => 'gsdc1',
  datastore        => 'gsdatastore1',
  vcenter_username => 'aidev\administrator',
  vcenter_password => 'P@ssw0rd',
  vcenter_server   => '172.28.15.6',
  vcenter_options  => { 'insecure' => true },
}

asm::host { 'bladeserver-jfzfct1':
  datacenter => 'gsdc1',
  cluster    => 'gscluster1',
  hostname   => '172.28.15.176',
  username   => 'root',
  password   => 'linux',
  require    => Asm::Cluster['gscluster1'],
}

asm::vswitch { 'host1':
  ensure         => 'present',
  data_center    => 'gsdc1',
  cluster        => 'gscluster1',
  esxhost        => '172.28.15.176',
  esxusername    => 'root',
  esxpassword    => 'linux',
  vswitchname    => 'DHCP Hypervisor Management',
  portgroupname  => 'DHCP Hypervisor Management',
  nics           => ['vmnic1', 'vmnic2'],
  nicorderpolicy => {
    activenic  => ['vmnic1'],
    standbynic => ['vmnic2'],
  },
  nicipsetting   => 'dhcp',
  nicipaddress   => '',
  nicsubnetmask  => '',
  nicvlanid      => '28',
  require        => Asm::Host['bladeserver-jfzfct1'],
}
