require 'puppet/provider/idrac_onboard/default'

Puppet::Type.type(:idrac_onboard).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Idrac_onboard::ProviderDefault
) do

  def get_password(cred_id)
    require 'asm/cipher'
    ASM::Cipher.decrypt_credential(cred_id).password
  end
end
