require 'puppet/provider/iom_onboard/default'

Puppet::Type.type(:iom_onboard).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Iom_onboard::ProviderDefault
) do

  def get_password(cred_id)
    require 'asm/cipher'
    ASM::Cipher.decrypt_credential(cred_id).password
  end
  
  def get_community_string(cred_id)
    require 'asm/cipher'
    ASM::Cipher.decrypt_credential(cred_id).snmp_community_string
  end
end
