require 'puppet/provider/iscsi_target/default'

Puppet::Type.type(:iscsi_target).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Iscsi_target::ProviderDefault
) do

  def get_password
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(resource[:password])
  end
end
