require 'puppet/provider/sc_virtual_machine/default'

Puppet::Type.type(:sc_virtual_machine).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Sc_virtual_machine::ProviderDefault
) do

  def get_password
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(resource[:domain_password])
  end
end

