require 'puppet/provider/scvm_cluster_storage/default'

Puppet::Type.type(:scvm_cluster_storage).provide(
  :asm_decrypt,
  :parent => Puppet::Type::Scvm_cluster_storage::ProviderDefault
) do

  def get_password
    require 'asm/cipher'
    ASM::Cipher.decrypt_string(resource[:password])
  end
end