require 'puppet/util/network_device/base'
require 'puppet/util/network_device/noop'

#
# This network device does not do anything. It was created to make it
# easier to test the usage of puppet device without having any real
# devices to connect to.
#
class Puppet::Util::NetworkDevice::Noop::Device < Puppet::Util::NetworkDevice::Base

  def initialize(url, options={})
    # do nothing
  end

  def connect
    # do nothing
  end

  def facts
    {}
  end

end
