# == Define: asm::cisconexus5k

define asm::cisconexus5k (
  $ensure                       = present,
  $vlan_name                    = '',
  $interface                    = undef,
  $interfaceoperation           = "add",
  $istrunkforinterface          = 'true',
  $interfaceencapsulationtype   = "dot1q",
  $isnative                     = "true",
) {
  if $vlan_name == '' {
    $v_name = "VLAN_${name}"
  } else {
    $v_name = $vlan_name
  }
  cisconexus5k_vlan {
  "$name":
    ensure                        => $ensure,
    vlanname                      => $v_name,
    interface                     => $interface,
    interfaceoperation            => $interfaceoperation,
    istrunkforinterface           => $istrunkforinterface,
    interfaceencapsulationtype    => $interfaceencapsulationtype,
    isnative                      => $isnative,
    nativevlanid                  => $name
  }
}
