# Define: ASM ioa
define asm::ioa (
  $vlan_tagged   = '',
  $vlan_untagged = '',
  $ensure        = present
) {
  if empty($vlan_tagged) == false {
    if empty($vlan_untagged) == false {
      ioa_interface{$name:
        vlan_tagged   => $vlan_tagged,
        vlan_untagged => $vlan_untagged,
      }
    }
    else {
      ioa_interface{$name:
        vlan_tagged => $vlan_tagged,
      }
    }
  }
  else {
    if empty($vlan_untagged) == false {
      if empty($vlan_untagged) == false {
        ioa_interface{$name:
          vlan_untagged => $vlan_untagged,
        }
      }
    }
  }

}
